import { Directive, ElementRef, OnInit, Input } from '@angular/core';
import { AuthenticationProvider } from '../services/authentication.provider';

@Directive({
  selector: '[baredLibIsAuthenticated]'
})
export class IsAuthenticatedDirective {

  @Input() activeDisplay = 'block';
  constructor(private authentication: AuthenticationProvider, private el: ElementRef) {
    this.authentication.getAuthenticatedState().subscribe( isAuthenticated => {
      // console.log(isAuthenticated, this.authentication.isAuthenticated() );
      this.el.nativeElement.style.display = this.authentication.isAuthenticated() ? this.activeDisplay : 'none';
    });
  }

  ngOnInit(): void {
    this.el.nativeElement.style.display = this.authentication.isAuthenticated() ? this.activeDisplay : 'none';
  }

}
