import { AuthenticationProvider, AuthenticationEvent } from '../services/authentication.provider';
import { AuthUser } from '../models/auth-user.model';
import { Observable, BehaviorSubject, Subject } from 'rxjs';

// Need to create a Mock Auth here!!
export class AuthProviderMock extends AuthenticationProvider {

    private _isAuthenticated = true;
    private authState = new Subject<boolean>();
    public AuthProviderMock(){
        // console.log('Hallo constructor');
    }

    public onAuthChange(): Observable<AuthenticationEvent> {
        throw new Error('Method not implemented.');
    }

    public getAuthenticatedState(): Observable<boolean> {
        return this.authState.asObservable();
    }


    authenticate(userName: string, password: string): Observable<any> {
        const user: AuthUser = new AuthUser(1, 'test', 'case', 'test@test.com', '24 Nov 2017');
        const subject: BehaviorSubject<AuthUser> = new BehaviorSubject<AuthUser>(user);
        this.authState.next( false );
        return subject.asObservable();
    }

    isAuthenticated(): boolean {
        return this._isAuthenticated;
    }

    logout(): boolean {
        this.authState.next( false );
        return this.clearSession();
    }
    private clearSession(): boolean {
        this._isAuthenticated = false;
        return true;
    }
    getAuthToken(): string {
        return 'token';
    }
    checkRoles(expectedRoles: string[]): boolean {
        let pass = false;
        expectedRoles.forEach(role => {
            //    console.log(role);
            if (role.toLowerCase() === 'role1') {
                pass = true;
            }
        });
        return pass;
    }
    hasRole(role: string): boolean {
        throw new Error('Method not implemented.');
    }
    getAuthUser(): AuthUser {
        return new AuthUser(1, 'test', 'case', 'test@test.com', '24 Nov 2017');
    }

    public refreshSession(): void {
        //
        // console.log('refreshed');
    }
}
