import { IAuthenticationConfiguration } from '../models/auth-configuration';

export const SecurityMockConfig: IAuthenticationConfiguration = {
    apiUrl: '/',
    apiVersion: '1.0',
    schemaVersion: '6.0',
    registeredUrls: [],
    production: true,
    loginUrl: 'login',
    logoutUrl: 'logout',
    securedDomain: 'localhost:4200',
    sessionExpiryMinutes: 30,
    apiEndpoints: {
        profileUrl: (login: string) => `userprofiles/${login}`,
        authUrl: 'login'
    },
    cookieUrl: '',
    cookiePath: '',
    cookieExpiryHours: 1
};

