// 3rd party decorator
import { IAuthUser } from './i-auth-user';
import { ICloneable } from '../../data/models/i-cloneable';

export class AuthRequest {

    user_login: string;

    password: string;

    access_token: string;
}

export class AuthUser implements IAuthUser, ICloneable<AuthUser> {

    public user_profile_id: number;

    public user_login: string;

    public emailAddress: string;

    public firstName: string;

    public first_name: string;
    public last_name: string;

    public lastName: string;

    public created_on: string;

    public user_access_role_id: number;

    public user_access_name: string;

    public description: string;

    public is_sysadmin: boolean;

    public is_orgadmin: boolean;

    public approver: boolean;

    public signatory: boolean;

    public org_group_Id: number;

    public org_group_name: string;

    public token: string;

    // @JsonProperty('userProfile', UserProfile)

    constructor(id?: number, userFirstName?: string, userLastName?: string, emailAddress?: string, creationDate?: string) {
        this.user_profile_id = id;
        this.firstName = userFirstName;
        this.lastName = userLastName;
        this.emailAddress = emailAddress;
        this.created_on = creationDate;
    }
    public copyConstruct(data: AuthUser): void {
        if (data !== undefined) {
            Object.keys(data).forEach(key => {
                this[key] = data[key];
            });
        }
    }
    copyTo(): AuthUser {
        const user = new AuthUser();
        user.copyConstruct(this);
        return user;
    }
    public getId(): number {
        return this.user_profile_id;
    }
    public getEmailAddress(): string {
        return this.emailAddress;
    }
    public getName(): string {
        return this.firstName + ' ' + this.lastName;
    }
    // }

}
