
import { CookieService } from 'ngx-cookie-service';
import { SecureStorageService } from './secure-storage.service';
import { StorageConfigurationService } from '../../storage/services/storage-configuration.service';
import { LocalStorageService } from '../../storage/services/local-storage.service';

// A factory for choosing a storage provider at run time
export let secureStorageServiceFactory = (cookieService: CookieService, config: StorageConfigurationService) => {
    // Won't work with nginx virtual paths
    // if (navigator.cookieEnabled) {
    //     const service = new CookieStorageService(cookieService, config);
    //     return new SecureStorageService(service);
    // }
    return new SecureStorageService(new LocalStorageService());
};
