// Models
import { AuthUser } from '../models/auth-user.model';
import { InjectionToken } from '@angular/core';

// export const SecurityStorageToken = new InjectionToken<StorageProvider<AuthUser>>('SecurityStorageToken');
export const SecurityStorageToken = new InjectionToken<SecuredStorageProvider>('SecurityStorageToken');
/**
 * Abstract class to allow the Dependency injection in angular
 * It serves little other purpose
 */
export abstract class SecuredStorageProvider {
    public abstract setAuthToken(token: string): void;
    public abstract getAuthToken(): string;
    public abstract setAuthUser(user: AuthUser): void;
    public abstract getAuthUser(): AuthUser;
    public abstract deleteStorage(): void;
    public abstract setDomain(domain: string): void;
}

export enum StorageKeys {
    authToken = 1,
    authUser = 2
}
