import { Injectable, Inject, InjectionToken } from '@angular/core';
import { IAuthenticationConfiguration } from '../models/auth-configuration';
import { ConfigurationProviderService } from '../../config/services/configuration-provider.service';

export const SecurityConfig = new InjectionToken<IAuthenticationConfiguration>("SecurityConfig");

@Injectable({
  providedIn: 'root'
})
export class SecurityConfigurationService extends ConfigurationProviderService<IAuthenticationConfiguration> {

  constructor(@Inject(SecurityConfig) config: IAuthenticationConfiguration) {
    super();
    this.setConfiguration(config);
  }
}
