import { InjectionToken, Injectable } from '@angular/core';
/**
 * Injectable Possible Deprecation of the Registration approach
 * The ideas was non-modular but there are better solutions.
 * @template ConfigType 
 */
@Injectable({
    providedIn: 'root'
  })
  export abstract class ConfigurationProviderService<ConfigType> {
    // This concept is flawed
    // All we want is one configuration file thta 
    private _configurationSet: ConfigType;
    private _configurationMap: Map<string, any> = new Map<string, any>();

    constructor() { }
    public getConfiguration(): ConfigType {
      return this._configurationSet;
    }
    /**
     * For the purpose of factory driven configuration
     * @param key 
     * @param value 
     */
    public registerConfigurationSection(key: string, value: any): void {
      this._configurationMap.set( key, value );
    }
    /**
     * Also for factory driven configuration
     * @param key 
     */
    public getConfigurationSection(key: string): ConfigType {
      return <ConfigType>this._configurationMap.get(key);
    }
    public readConfiguration(): ConfigType {
      return this._configurationSet;
    }
    public setConfiguration(config: ConfigType): void {
      this._configurationSet = config;
    }
  }