export interface ISerialisable {
    deserialiseJson(json: string, classType: any)
    serialiseJson(data: any): string;    
}
export abstract class AbstractSerialisable<Type> implements ISerialisable {
    constructor(data: string) {
        this.fromJson( data );
    }
    public abstract deserialiseJson(json: string, classType: any): Type;
    public abstract serialiseJson(data: Type): string;
    public abstract fromJson(data: string): void;
}