import { Injectable } from '@angular/core';
import { ResponseModel } from '../models/response-model';
import { HttpErrorResponse } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class ResponseHandler {

  private _response: ResponseModel<any>;

  constructor() {
      this._response = new ResponseModel();
  }

  handleResponse(res: Response): ResponseModel<any> {
      this._response.status = res.status;
      this._response.data = res.body as any;
      return this._response;
  }

  handleError(res: HttpErrorResponse): ResponseModel<any> {
      this._response.status = res.status;
      this._response.data = res.error;
      return this._response;
  }
}
