import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MessageProviderToken } from './services/message-provider';
import { MessagingService } from './services/message.service';



@NgModule({
  declarations: [],
  imports: [
    CommonModule
  ]
})
export class MessagingModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: MessagingModule,
      providers: [
        {
          provide: MessageProviderToken,
          useClass: MessagingService
        }
      ]
    }
  }
}
export * from './services/message-provider';
export * from './services/message.service';
export * from './models/i-message';
export * from './mocks/messaging.service.mock';