import { Observable } from 'rxjs';
import { IMessage } from '../models/i-message';
import { InjectionToken } from '@angular/core';

export const MessageProviderToken = new InjectionToken<MessageProvider>('MessageProvider');
export interface MessageProvider {
    sendErrorMessage(title: string, message: string): void;
    sendInfoMessage(title: string, message: string): void;
    sendSuccessMessage(title: string, message: string): void;
    sendSimpleMessage(severity: string, title: string, message: string): void;
    sendDetailedMessage(message: IMessage): void;
    getMessages(): Observable<IMessage[]>;
    clear(): void;
}