import { Injectable } from '@angular/core';
import { NavigationProvider } from '../services/navigation-provider';
import { IMenuItem } from '../models/i-menu';
import { Menu } from '../models/menu';


@Injectable({
    providedIn: 'root'
  })
  export class MockNavigationService implements NavigationProvider {
    private route: IMenuItem = {
      title: 'title',
      path: 'path',
      url: '/path',
      parentId: 0,
      id: 1
    }
    setActiveRoute(url: string): void {
      this.route.url = url;
    }
    getActiveRoute(): IMenuItem {
      return this.route;
    }
    getPreviousRoute(): IMenuItem {
      return this.route;
    }
    getBreadcrumbsForActiveRoute(maxIterations: number): IMenuItem[] {
      return [];
    }
    getMenuForRoleAndParent(parent: number, role?: string): IMenuItem[] {
      return [];
    }
    getMenuRoutes(roleFilter?: string): IMenuItem[] {
      return [];
    }
    getMenu(): Menu {
      return new Menu();
    }
    getTopMenuItems(role?: string): IMenuItem[] {
      return [];
    }
  
    constructor() { }
  }
  