import { IMenuItem } from '../models/i-menu';
import { Menu } from '../models/menu';

/**
 * NB: Abstract used instead of interface due to the need to generate
 *     a token
 */
export abstract class NavigationProvider {

    public abstract setActiveRoute( url: string ): void;
    public abstract getActiveRoute(): IMenuItem;
    public abstract getPreviousRoute(): IMenuItem;
    public abstract getBreadcrumbsForActiveRoute(maxIterations: number): IMenuItem[];
    public abstract getMenuForRoleAndParent(parent: number, role?: string): IMenuItem[];
    public abstract getMenuRoutes(roleFilter?: string): IMenuItem[];
    public abstract getMenu(): Menu;
    public abstract getTopMenuItems(role?: string): IMenuItem[];
}
