import { Injectable, InjectionToken, Inject } from '@angular/core';
import { IStorageConfiguration } from '../models/i-storage-configuration';
import { ConfigurationProviderService } from '../../config/services/configuration-provider.service';

export const StorageConfig = new InjectionToken<IStorageConfiguration>('StorageConfig');

@Injectable({
  providedIn: 'root'
})
export class StorageConfigurationService extends ConfigurationProviderService<IStorageConfiguration> {

  // public accessKeys: string[] = ['cookies']
  constructor(@Inject(StorageConfig) config: IStorageConfiguration) {
    super();
    this.setConfiguration(config);
  }
}
