import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StorageConfigurationService } from './services/storage-configuration.service';
import { LocalStorageService } from './services/local-storage.service';
import { CookieStorageService } from './services/cookie-storage.service';



@NgModule({
  declarations: [],
  imports: [
    CommonModule
  ]
})
export class StorageModule { 
  static forRoot(): ModuleWithProviders {
  return {
    ngModule: StorageModule,
    providers: [
      StorageConfigurationService,
      LocalStorageService,
      CookieStorageService
    ]
  }
}}
export * from './services/storage.provider';
export * from './services/local-storage.service';
export * from './services/cookie-storage.service';
export * from './services/storage-configuration.service';
export * from './models/i-storage-configuration';
export * from './mocks/config-mock'
export * from './mocks/mock-storage-provider';
